MailcrateDocs
Webhooks

Rotate an endpoint's signing secret

POST
/public/webhook/endpoints/{id}/regenerate-secret

Requires the webhook:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
name*string
url*string
secret*string
enabled*boolean
subscribedEvents*array<>
description*string|null
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X POST 'https://api.mailcrate.io/public/webhook/endpoints/string/regenerate-secret' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "name": "string",  "url": "string",  "secret": "string",  "enabled": true,  "subscribedEvents": [    "campaign.deleted"  ],  "description": "string",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}